package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableIntToLongFunction.class */
public interface FailableIntToLongFunction<E extends Throwable> {
    public static final FailableIntToLongFunction NOP = t -> {
        return 0L;
    };

    long applyAsLong(int i) throws Throwable;

    static <E extends Throwable> FailableIntToLongFunction<E> nop() {
        return NOP;
    }
}
